summaryrefslogtreecommitdiff
path: root/tests/tests
diff options
context:
space:
mode:
authorIan Jackson <ijackson@chiark.greenend.org.uk>2017-01-08 23:20:11 +0000
committerIan Jackson <ijackson@chiark.greenend.org.uk>2017-01-09 02:20:09 +0000
commit866a4b0d97a4863c9c0c2f6b984d8f373b11af52 (patch)
tree4f2745c6bfbf4afc2127fdc3d8db7f683adf5fd4 /tests/tests
parent284b7e392ea8efbca0d976914b26b7119df7506a (diff)
test suite: protocol-compat: New test (wip)
Signed-off-by: Ian Jackson <ijackson@chiark.greenend.org.uk>
Diffstat (limited to 'tests/tests')
-rwxr-xr-xtests/tests/protocol-compat40
1 files changed, 40 insertions, 0 deletions
diff --git a/tests/tests/protocol-compat b/tests/tests/protocol-compat
new file mode 100755
index 0000000..47074d5
--- /dev/null
+++ b/tests/tests/protocol-compat
@@ -0,0 +1,40 @@
+#!/bin/bash
+set -e
+. tests/lib
+. $troot/lib-reprepro
+
+t-setup-import examplegit
+t-tstunt-parsechangelog
+
+prep () {
+ dscf=$tmp/mirror/pool/main/example_$v.dsc
+}
+
+check () {
+ t-archive-none $p
+ t-archive-query $suite
+
+ t-dgit clone $p stable $p.cloned
+ cd $p.cloned
+ t-ref-head
+
+ t-dgit import-dsc $dscf +imported
+ t-ref-same refs/heads/imported
+ cd ..
+}
+
+: ---------- older ----------
+
+suite=stable
+v=1.2
+
+prep
+
+perl -i -pe 's/^(Dgit: \w+).*/$1/' $dscf
+
+dgit_config_debian_alias='-cdgit-distro.debian.alias-canon=test-dummy'
+# old Dgit fields are supposed to mean Debian
+
+check
+
+#t-ok